!contains(DEFINES, CASHBOXAPI_LIB_INC){


DEFINES +=  CASHBOXAPI_LIB_INC
CONFIG += link_prl c++17

INCLUDEPATH += $(CASHBOXAPI_LIB)/src \
                $(CASHBOXAPI_LIB)/src/utils \
                $(CASHBOXAPI_LIB)/src/print \
                $(CASHBOXAPI_LIB)/src/print/bbcode \
                $(CASHBOXAPI_LIB)/src/data\
                $(CASHBOXAPI_LIB)/src/fs\
                $(CASHBOXAPI_LIB)/src/ffd\
                $(CASHBOXAPI_LIB)/src/docs\
                $(CASHBOXAPI_LIB)/src/osdabzip\
                $(CASHBOXAPI_LIB)/src/cfg



!contains(DEFINES, QT_MESSAGELOGCONTEXT) {
    DEFINES += QT_MESSAGELOGCONTEXT
}
contains(DEFINES, QT_NO_MESSAGELOGCONTEXT) {
    DEFINES -= QT_MESSAGELOGCONTEXT
}
contains(ANDROID_TARGET_ARCH,armeabi-v7a) {

    CONFIG(debug, debug|release) {
        LIBS += $(BUILDPATH)/lib/debug/libcashboxapilib_armeabi-v7a.so
    }

    CONFIG(release, debug|release) {
        LIBS += $(BUILDPATH)/lib/release/libcashboxapilib_armeabi-v7a.so

    }

}

contains(ANDROID_TARGET_ARCH,arm64-v8a) {

    CONFIG(debug, debug|release) {
        LIBS += $(BUILDPATH)/lib/debug/libcashboxapilib_arm64-v8a.so
    }

    CONFIG(release, debug|release) {
        LIBS += $(BUILDPATH)/lib/release/libcashboxapilib_arm64-v8a.so

    }
}

}

