#ifndef APICONFIGSTORE_H
#define APICONFIGSTORE_H

#include "baseiniconfigstore.h"
#include "apiconfig.h"

class ApiConfigStore : public BaseIniConfigStore
{
    Q_OBJECT
    Q_DISABLE_COPY(ApiConfigStore);
public:
    explicit ApiConfigStore(QObject *parent = nullptr);
    ~ApiConfigStore() override;

    ApiConfig apiConfig();
    void setApiConfig(const ApiConfig &cfg);
};

#endif // APICONFIGSTORE_H
