#ifndef CASHBOXSERVICEBINDER_H
#define CASHBOXSERVICEBINDER_H

#include "processingqueue.h"

#include <QAndroidBinder>

class CashboxServiceBinder : public QObject, public QAndroidBinder
{
    Q_OBJECT
    Q_DISABLE_COPY(CashboxServiceBinder)
public:

    CashboxServiceBinder();
    explicit CashboxServiceBinder(const QAndroidJniObject &binder);
    virtual ~CashboxServiceBinder() override;

    bool onTransact(int code, const QAndroidParcel &data, const QAndroidParcel &reply, CallType flags) override;
private:
    ProcessingQueue *queue_;

    QVariantMap formatResult(CoreApiConst::ErrorCode code, const QString &msg, const QVariantMap &data = QVariantMap());

};

#endif // CASHBOXSERVICEBINDER_H
