#ifndef UICASHBOXSERVICEAPI_H
#define UICASHBOXSERVICEAPI_H

#include "cashboxserviceapi.h"
#include "cashboxstatuswrapper.h"


class UiCashboxServiceApi : public CashboxServiceApi
{
    Q_OBJECT
    Q_DISABLE_COPY(UiCashboxServiceApi)
public:
    explicit UiCashboxServiceApi(QObject *parent = nullptr);
    ~UiCashboxServiceApi() override;
private:
    void initGlobalStatus(const CashboxStatus &status) override;
    void initCatalogsData(const QVariantMap &data) override;

};

#endif // UICASHBOXSERVICEAPI_H
