INCLUDEPATH += $$PWD/cpp


HEADERS += \
    $$PWD/cpp/cashboxbuildconfig.h

contains(DEFINES, CASHBOX_UI) {
RESOURCES += $$PWD/icons.qrc
}

contains(DEFINES, CASHBOX_SERVICE) {
RESOURCES += $$PWD/core.qrc
}


CONFIG += c++17

contains(DEFINES, CASHBOX_UI) {


DISTFILES += \
    $$_PRO_FILE_PWD_/mkassa/AndroidManifest.xml \
    $$_PRO_FILE_PWD_/mkassa/build.gradle \
    $$_PRO_FILE_PWD_/mkassa/gradle/wrapper/gradle-wrapper.jar \
    $$_PRO_FILE_PWD_/mkassa/gradle/wrapper/gradle-wrapper.properties \
    $$_PRO_FILE_PWD_/mkassa/gradlew \
    $$_PRO_FILE_PWD_/mkassa/gradlew.bat \
    $$_PRO_FILE_PWD_/mkassa/res/values/libs.xml\
    \
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/AndroidApiHelper.java \
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/CbMainActivity.java \
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/CashboxService.java\
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/CashboxHttpService.java\
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/ServiceStarter.java\
    \
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/hw/PrinterWrapper.java\
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/hw/QRUtil.java\
    $$_PRO_FILE_PWD_/mkassa/src/ru/armax/cashbox/hw/AndroidBmpUtil.java

RESOURCES += $$_PRO_FILE_PWD_/mkassa/qml/qml.qrc

#contains(ANDROID_TARGET_ARCH,armeabi-v7a) {
    ANDROID_PACKAGE_SOURCE_DIR = \
        $$_PRO_FILE_PWD_/mkassa
#}




DISTFILES += \
   $$_PRO_FILE_PWD_/mkassa/libssl/libcrypto_1_1.so \
   $$_PRO_FILE_PWD_/mkassa/libssl/libssl_1_1.so\
   $$_PRO_FILE_PWD_/mkassa/so/libQt5HttpServer_armeabi-v7a.so\
   $$_PRO_FILE_PWD_/mkassa/so/libQt5SslServer_armeabi-v7a.so

ANDROID_EXTRA_LIBS += \
   $$_PRO_FILE_PWD_/mkassa/libssl/libcrypto_1_1.so \
   $$_PRO_FILE_PWD_/mkassa/libssl/libssl_1_1.so\
   $$_PRO_FILE_PWD_/mkassa/so/libQt5HttpServer_armeabi-v7a.so\
   $$_PRO_FILE_PWD_/mkassa/so/libQt5SslServer_armeabi-v7a.so

}

contains(DEFINES, CASHBOX_SERVICE) {
    INCLUDEPATH += $$PWD/service
    HEADERS += \
        $$PWD/service/hwmodeldatastorage.h\
        $$PWD/service/fsapi.h

    SOURCES += \
        $$PWD/service/hwmodeldatastorage.cpp\
        $$PWD/service/fsapi.cpp
}


