#include "abstractworker.h"

#include <QThread>
#include <QDebug>

AbstractWorker::AbstractWorker() noexcept
    : QObject(0)
{
}

AbstractWorker::~AbstractWorker()
{
}


void AbstractWorker::start()
{
    if(doStart())
    {
        emit started();
    }
}

void AbstractWorker::stop()
{
    if(doStop())
    {
        emit stopped();
    }
}

void AbstractWorker::restart()
{
    if(doStop() && !doStart())
    {
        emit stopped();
    }
}
