#ifndef APPDIRECTORIES_H
#define APPDIRECTORIES_H

#include <QString>

class AppDirectories
{
public:
    AppDirectories()noexcept;
    ~AppDirectories();

    QString logsPath() const;
    QString translations() const;
    QString workDir() const;
    QString configDir() const;
    QString watcherDir() const;
    QString modelDataDir() const;
    QString dbDir() const;
    QString dbErrorsDir() const;
    QString logo() const;
    QString offlineNotifications() const;
    QString imagesPath() const;
    QString tmpPath() const;
    QString tmpLogsPath() const;

private:
    QString workDir_;
};

#define APATH AppDirectories()

#endif // APPDIRECTORIES_H
