#ifndef LOG_CONSTS_H
#define LOG_CONSTS_H

#include <QtGlobal>

//#if defined(QT5EXT_LOGGER_NAMESPACE)
//#	undef QT5EXT_LOGGER_NAMESPACE_BEGIN
//#	undef QT5EXT_LOGGER_NAMESPACE_END
//#	define QT5EXT_LOGGER_NAMESPACE_BEGIN namespace QT5EXT_LOGGER_NAMESPACE {
//#	define QT5EXT_LOGGER_NAMESPACE_END }
//#else
//#	undef QT5EXT_LOGGER_NAMESPACE_BEGIN
//#	undef QT5EXT_LOGGER_NAMESPACE_END
//#	define QT5EXT_LOGGER_NAMESPACE_BEGIN
//#	define QT5EXT_LOGGER_NAMESPACE_END
//#endif

#if defined(Q_OS_WIN)
#  if !defined(QT5EXT_LOGGER_EXPORT) && !defined(QT5EXT_LOGGER_IMPORT)
#    define QT5EXT_LOGGER_EXPORT
#  elif defined(QT5EXT_LOGGER_IMPORT)
#    if defined(QT5EXT_LOGGER_EXPORT)
#      undef QT5EXT_LOGGER_EXPORT
#    endif
#    define QT5EXT_LOGGER_EXPORT __declspec(dllimport)
#  elif defined(QT5EXT_LOGGER_EXPORT)
#    undef QT5EXT_LOGGER_EXPORT
#    define QT5EXT_LOGGER_EXPORT __declspec(dllexport)
#  endif
#else
#  undef  QT5EXT_LOGGER_EXPORT
#  define QT5EXT_LOGGER_EXPORT
#endif


#ifndef SRC_ENCODING
#define SRC_ENCODING "UTF-8"
#endif

#ifndef LOG_ENCODING
#	ifdef Q_OS_LINUX
#		define LOG_ENCODING "UTF-8"
#	else
#		define LOG_ENCODING "System"
#	endif
#endif


#endif
