QT -= gui
QT += androidextras network sql concurrent gui httpserver
CONFIG += c++17 dll
CONFIG -= app_bundle

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

DEFINES += CASHBOX_HTTP_SERVICE

INCLUDEPATH += src src/workers src/cfg

!contains(DEFINES, QT_MESSAGELOGCONTEXT) {
    DEFINES += QT_MESSAGELOGCONTEXT
}
contains(DEFINES, QT_NO_MESSAGELOGCONTEXT) {
    DEFINES -= QT_MESSAGELOGCONTEXT
}

include($$(CASHBOX_CONF))
include($$(CASHBOXAPI_LIB)/cashboxapilib.pri)


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

HEADERS += \
    src/cashboxhttpservicebinder.h \
    src/cashboxhttpserviceroot.h \
    src/cfg/apiconfigstore.h \
    src/httpcashboxserviceapi.h \
    src/workers/basehttpworker.h \
    src/workers/cashboxstatushttpworker.h  \
    src/workers/cyclehttpworker.h \
    src/workers/fiscalhttpworker.h \
    src/workers/httpworkersfactory.h \
    src/workers/printhttpworker.h \
    src/workers/receiptshttpworker.h \
    src/workers/reportshttpworker.h \
    src/workers/servicehttpworker.h
SOURCES += \
    src/cashboxhttpservicebinder.cpp \
    src/cashboxhttpserviceroot.cpp \
    src/cfg/apiconfigstore.cpp \
    src/httpcashboxserviceapi.cpp \
    src/main.cpp \
    src/workers/basehttpworker.cpp \
    src/workers/cashboxstatushttpworker.cpp \
    src/workers/cyclehttpworker.cpp \
    src/workers/fiscalhttpworker.cpp \
    src/workers/httpworkersfactory.cpp \
    src/workers/printhttpworker.cpp \
    src/workers/receiptshttpworker.cpp \
    src/workers/reportshttpworker.cpp \
    src/workers/servicehttpworker.cpp

#RESOURCES += resources/cashboxhttpservice.qrc

CONFIG(debug, debug|release) {
    DESTDIR = $(BUILDPATH)/lib/debug
}
CONFIG(release, debug|release) {
    DESTDIR = $(BUILDPATH)/lib/release
}


CONFIG(debug, debug|release) {
    DESTDIR = $(BUILDPATH)/lib/debug
}
CONFIG(release, debug|release) {
    DESTDIR = $(BUILDPATH)/lib/release
}
