package ru.armax.cashbox;



import android.content.Context;
import android.content.Intent;
import android.content.ComponentName;
import android.util.Log;
import org.qtproject.qt5.android.bindings.QtService;
import java.io.BufferedReader;
import java.io.BufferedWriter;

import java.io.FileWriter;;
import java.io.InputStreamReader;
import java.io.IOException;
import android.os.Build;

public class CashboxHttpService extends QtService
{
    public static void startCashboxHttpService(Context ctx) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            Intent coreIntent = new Intent("ru.armax.cashbox.CashboxHttpService");
            coreIntent.setClass(ctx, CashboxHttpService.class);
            ctx.startForegroundService(coreIntent);
           }
        else {
        Log.i("CashboxHttpService", "Starting CashboxHttpService");
        Log.i("CashboxHttpService", "Context");
        Log.i("CashboxHttpService", ctx.toString());
        Log.i("CashboxHttpService", "Creating intent");
        Intent i = new Intent(ctx, CashboxHttpService.class);
        Log.i("CashboxHttpService", "Intent");
        Log.i("CashboxHttpService",i.toString());
        Log.i("CashboxHttpService", "Starting service");
        ComponentName cn = ctx.startService(i);
        Log.i("CashboxHttpService", "Component");
        if (cn == null){
            Log.i("CashboxHttpService", "CN=NULL");
        }
        else{
            Log.i("CashboxHttpService", "CN="+cn.toString());
            Log.i("CashboxHttpService", "FrCore started");
            }
        }

    }

    public static void stopCashboxHttpService(Context ctx) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            Intent i = new Intent(ctx, CashboxHttpService.class);
            ctx.stopService(i);
            Log.i("CashboxService STOPPER", "after stop");
            }
        else {
            Intent i = new Intent(ctx, CashboxHttpService.class);
            ctx.stopService(i);
            Log.i("CashboxHttpService STOPPER", "after stop");
            }
    }
}
