package ru.armax.cashbox;



import android.content.Context;
import android.content.Intent;
import android.content.ComponentName;
import android.util.Log;
import org.qtproject.qt5.android.bindings.QtService;
import java.io.BufferedReader;
import java.io.BufferedWriter;

import java.io.FileWriter;;
import java.io.InputStreamReader;
import java.io.IOException;
import android.os.Build;


public class CashboxService extends QtService
{
    public static void startCashboxService(Context ctx) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            Intent coreIntent = new Intent("ru.armax.cashbox.CashboxService");
            coreIntent.setClass(ctx, CashboxService.class);
            ctx.startForegroundService(coreIntent);
           }
        else {
        Log.i("CashboxService", "Starting CashboxService");
        Log.i("CashboxService", "Context");
        Log.i("CashboxService", ctx.toString());
        Log.i("CashboxService", "Creating intent");
        Intent i = new Intent(ctx, CashboxService.class);
        Log.i("CashboxService", "Intent");
        Log.i("CashboxService",i.toString());
        Log.i("CashboxService", "Starting service");
        ComponentName cn = ctx.startService(i);
        Log.i("CashboxService", "Component");
        if (cn == null){
            Log.i("CashboxService", "CN=NULL");
        }
        else{
            Log.i("CashboxService", "CN="+cn.toString());
            Log.i("CashboxService", "FrCore started");
            }
        }

    }
    public static void stopCashboxService(Context ctx) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            Intent i = new Intent(ctx, CashboxService.class);
            ctx.stopService(i);
            Log.i("CashboxService STOPPER", "after stop");
            }
        else {
            Intent i = new Intent(ctx, CashboxService.class);
            ctx.stopService(i);
            Log.i("CashboxService STOPPER", "after stop");
            }
    }
}
