package ru.armax.cashbox;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

import java.text.SimpleDateFormat;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.BufferedWriter;
import java.util.Date;
import android.os.Environment;
import android.os.Build;

import java.io.File;

public class ServiceStarter extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            Intent coreIntent = new Intent("ru.armax.cashbox.CashboxService");
            coreIntent.setClass(context, CashboxService.class);
            context.startForegroundService(coreIntent);

            Intent httpIntent = new Intent("ru.armax.cashbox.CashboxHttpService");
            httpIntent.setClass(context, CashboxHttpService.class);
            context.startForegroundService(httpIntent);
        }else {
            Intent coreIntent = new Intent("ru.armax.cashbox.CashboxService");
            coreIntent.setClass(context, CashboxService.class);
            context.startService(coreIntent);

            Intent httpIntent = new Intent("ru.armax.cashbox.CashboxHttpService");
            httpIntent.setClass(context, CashboxHttpService.class);
            context.startService(httpIntent);

       }
    }
}
