#ifndef CASHBOXROOT_H
#define CASHBOXROOT_H

#include "baseqmlapproot.h"

#include <QVariantList>
#include <QThread>
\

class CashboxRoot :public BaseQmlAppRoot
{
    Q_OBJECT
    Q_DISABLE_COPY(CashboxRoot)
    friend class BaseQmlAppRoot;
    friend class AppRootHandler;
public:
signals:
    void popPage();
private:
    CashboxRoot(int &argc, char **argv, const char * applicationName);
    virtual ~CashboxRoot() override;

    virtual bool beforeQmlLoading() override;
    virtual void release() override;

};

//-------------------------------------------------------------------------------------------------

class SIPRequestEater: public QObject
{
    Q_OBJECT
public:
    explicit SIPRequestEater(QObject *parent =  nullptr);
    virtual ~SIPRequestEater() override;
signals:
    void popPage();
protected:
    virtual bool eventFilter(QObject *obj, QEvent *event) override;
};


#define appRoot dynamic_cast<CashboxRoot*>(CashboxRoot::instance())

#endif // CASHBOXROOT_H
