#ifndef BASECORECONFIGHANDLER_H
#define BASECORECONFIGHANDLER_H

#include "basecoreconfigdata.h"
#include "basecorehandler.h"

class BaseCoreConfigHandler : public BaseCoreHandler
{
    Q_OBJECT
    Q_DISABLE_COPY(BaseCoreConfigHandler)
public:
    explicit BaseCoreConfigHandler(QObject *parent = nullptr);
    ~BaseCoreConfigHandler() override;
signals:
    void savedSuccess();
    void loaded();
public slots:
    void reload();
    void save();

protected:
    virtual BaseCoreConfigData *object() = 0;

    void processResult(const CoreTransaction & source, const CoreApiResult &res) override;
};

#endif // BASECORECONFIGHANDLER_H
