#ifndef INNVALIDATOR_H
#define INNVALIDATOR_H

#include "inn.h"
#include <QValidator>
#include <QtQml>

class InnValidator : public QValidator
{
    Q_OBJECT
    QML_ELEMENT
    Q_DISABLE_COPY(InnValidator)
public:
    explicit InnValidator(QObject *parent = nullptr);
    ~InnValidator() override;

    void fixup(QString & input) const override;
    State validate(QString & input, int & pos) const override;
};

#endif // INNVALIDATOR_H
